# $Revision: 1.75 $, $Date: 2012/06/13 19:25:27 $
Summary:	A GNOME filemanager similar to the Midnight Commander
Summary(pl.UTF-8):	Zarządca plików dla środowiska GNOME w stylu Midnight Commandera
Name:		gnome-commander
Version:	1.2.8.12
Release:	5
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-commander/1.2/%{name}-%{version}.tar.bz2
# Source0-md5:	210cd59699dda373a80367b5141a3157
Patch0:		%{name}-flags.patch
Patch1:		gnome-commander-1.2.8.15-poppler020.patch
URL:		http://www.nongnu.org/gcmd/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	chmlib-devel
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	gtk+2-devel >= 2:2.6.0
BuildRequires:	intltool >= 0.31
BuildRequires:	libgnome-keyring-devel
BuildRequires:	libgnomeui-devel >= 2.0.0
BuildRequires:	libtool
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	poppler-devel
BuildRequires:	python-devel
BuildRequires:	taglib-devel
# sr@Latn vs. sr@latin
Conflicts:	glibc-misc < 6:2.7
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# symbol main_win_widget is provided by gnome-commander binary
%define		skip_post_check_so	libgcmd.so.*

%description
GNOME Commander is a filemanager that just like the classical Midnight
commander lets you do everything with the keyboard. It can perform all
standard fileoperations and some extra features like FTP support.

%description -l pl.UTF-8
GNOME Commander to zarządca plików, który podobnie do klasycznego
Midnight Commandera umożliwia pełną obsługę przy pomocy klawiatury.
Zapewnia wykonanie wszystkich typowych operacji na plikach, a także
kilka dodatkowych jak np. klienta FTP.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__libtoolize}
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	--disable-scrollkeeper
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
        DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/%{name}/{plugins/,}/*.{la,a}

[ -d $RPM_BUILD_ROOT%{_datadir}/locale/sr@latin ] || \
	mv -f $RPM_BUILD_ROOT%{_datadir}/locale/sr@{Latn,latin}

%find_lang %{name} --with-gnome --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gcmd-block
%attr(755,root,root) %{_bindir}/gnome-commander
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/lib*.so*
%{_libdir}/%{name}/plugins/*.py*
%attr(755,root,root) %{_libdir}/%{name}/plugins/lib*.so*
%{_pixmapsdir}/*
%{_desktopdir}/gnome-commander.desktop
%{_mandir}/man1/gnome-commander.1*
%{_omf_dest_dir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-commander.spec,v $
Revision 1.75  2012/06/13 19:25:27  arekm
- release 5 (by relup.sh)

Revision 1.74  2012/05/27 15:25:41  arekm
- rel 4; poppler build fix; add python plugins

Revision 1.73  2012/05/24 12:58:56  arekm
- release 3

Revision 1.72  2011/11/13 10:56:52  arekm
- release 2

Revision 1.71  2011/06/21 09:04:48  lisu
- updated to 1.2.8.12

Revision 1.70  2011/05/04 08:21:19  lisu
- updated to 1.2.8.11
- more verbose files

Revision 1.69  2011/03/24 18:40:03  arekm
- release 3

Revision 1.68  2011/03/01 14:13:48  lisu
- rel 2

Revision 1.67  2011/02/02 03:01:27  sparky
- BR: chmlib-devel, exiv2-devel, poppler-devel, python-devel, taglib-devel
- dropped bogous BR: libcanberra-devel (libgnome dep), rpm-perlprov
- dropped no longer used  BR: id3lib-devel, libiptcdata-devel

Revision 1.66  2011/01/17 14:09:40  lisu
- 1.2.8.10
- BR: libcanberra-devel

Revision 1.65  2010/12/29 12:09:18  lisu
- rel 2 (new poppler)

Revision 1.64  2010/12/06 08:38:43  lisu
- 1.2.8.9
- use rm macro

Revision 1.63  2010/10/14 21:45:04  baggins
- rel 3
- another fine example of binary<->library symbol deps

Revision 1.62  2010/10/11 12:40:57  lisu
- rel 2

Revision 1.61  2010/09/10 07:20:19  lisu
- 1.2.8.8

Revision 1.60  2010/09/06 19:10:24  arekm
- release 4

Revision 1.59  2010/08/25 16:54:57  hawk
- release 3

Revision 1.58  2010/08/12 12:59:28  lisu
- rel 2

Revision 1.57  2010/07/29 09:20:03  lisu
- 1.2.8.7

Revision 1.56  2010/07/28 20:08:29  megabajt
- release 4

Revision 1.55  2010/07/09 11:16:26  arekm
- release 3

Revision 1.54  2010/07/08 07:51:58  arekm
- release 2

Revision 1.53  2010/06/13 17:32:21  lisu
- notice -desktop.patch removal in rev 1.51

Revision 1.52  2010/06/13 17:18:41  lisu
- --as-needed problem fixed upstream, so patch is no longer needed
- merge rest of -as-needed.patch with -flags.patch

Revision 1.51  2010/06/13 17:12:45  lisu
- 1.2.8.6
- pass gtk and gnome CFLAGS by libgcmd (-flags.patch)
- BR: libgnome-keyring-devel
- -desktop patch applied upstream

Revision 1.50  2010/03/17 12:05:02  lisu
- up to 2.8.5
- cosmetics

Revision 1.49  2009/12/08 08:02:06  paszczus
- rebuild with exiv2 0.18.2
- rel 2

Revision 1.48  2009/12/04 13:25:42  sparky
- BR: docbook-dtd412-xml

Revision 1.47  2009/12/04 08:56:09  lisu
- up to 1.2.8.4
- remove obsolete configure.in.patch

Revision 1.46  2009/11/25 15:51:16  sparky
- BR: gettext-devel, pkgconfig

Revision 1.45  2008/07/31 15:57:50  twittner
- up to 1.2.7

Revision 1.44  2008/07/18 10:50:58  hawk
- release 2

Revision 1.43  2008/06/01 09:54:37  adamg
- updated to 1.2.5

Revision 1.42  2007-11-17 02:27:35  wolvverine
- add BR

Revision 1.41  2007-11-04 23:22:29  ankry
- sr@Latn -> sr@latin, rel. 2

Revision 1.40  2007/09/04 14:24:36  baggins
- release 2

Revision 1.39  2007/09/04 14:16:02  baggins
- rel 1
- fix -as-needed problems

Revision 1.38  2007/07/01 12:52:35  shadzik
- fix autotools generatings
- doesn't build anyway

Revision 1.37  2007/07/01 08:48:36  wolvverine
- add BR

Revision 1.36  2007/07/01 08:39:25  wolvverine
- add BR

Revision 1.35  2007/07/01 06:45:01  wolvverine
- up to 1.2.4

Revision 1.34  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.33  2007/02/12 00:48:53  baggins
- converted to UTF-8

Revision 1.32  2006/05/29 12:42:33  patrys
- added BR: libxslt-progs (for xsltproc)

Revision 1.31  2006/05/10 20:48:52  freetz
- 1.2.0, updated/cleaned up BR, updated configure time options and
  file list

Revision 1.30  2006/04/01 12:34:48  qboosh
- fixed typo (s/\.17/.7/) in previous commit message

Revision 1.29  2006/03/30 11:26:08  patrys
- 1.1.7

Revision 1.28  2005/09/12 21:38:43  kali
- added lib64.patch, fixed build on amd64, rel. 0.3

Revision 1.27  2005/03/15 06:17:35  djrzulf
- added TODO,

Revision 1.26  2005/02/21 09:53:21  megabajt
- proper license

Revision 1.25  2004/12/25 17:40:50  qboosh
- unified

Revision 1.24  2004/10/28 20:41:01  paladine
- "FTP" unification

Revision 1.23  2004/07/20 20:51:13  kali
- added {desktop,libdir}.patch
- more regeneration, BR libtool
- cosmetics

Revision 1.22  2004/07/11 15:08:09  jpc
- up to 1.1.6 (gnome2 based now)

Revision 1.21  2003/11/11 02:06:30  qboosh
- BR: ac,am

Revision 1.20  2003/08/26 20:31:20  ankry
- s/[Gg]nome/GNOME/

Revision 1.19  2003/08/09 14:17:44  krzak
- up to 1.0.1

Revision 1.18  2003/06/27 20:16:29  blues
- more macros and some cleanups - inpired by kloczek

Revision 1.17  2003/06/27 12:53:21  qboosh
- 0.9.12 - builds, untested

Revision 1.16  2003/06/27 12:28:15  qboosh
- more macros, fixed build

Revision 1.15  2003/05/26 16:25:03  malekith
- massive attack: adding Source-md5

Revision 1.14  2003/05/25 05:48:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/16 19:34:47  pawel
- updated to 0.9.11

Revision 1.12  2003/01/29 13:21:22  radek
- BR: gnome-vfs-devel

Revision 1.11  2003/01/21 07:40:52  pascalek
- Release 1
- configure patch is obsoleted

Revision 1.10  2003/01/21 06:43:57  pascalek
- updated to 0.9.9

Revision 1.9  2003/01/18 22:50:06  juandon
- removed two lines with define

Revision 1.8  2002/12/13 15:18:13  ankry
- group fixed; adapterized

Revision 1.7  2002/12/02 10:33:56  pascalek
- updated to cvs version

Revision 1.6  2002/11/26 09:59:24  qboosh
- doc: removed COPYING (known) and INSTALL (generic), added AUTHORS

Revision 1.5  2002/11/25 01:41:03  ankry
Massive attack:
- s/man[ea]d[zż][ae]r/zarządca/g
- (some) new %%doc

Revision 1.4  2002/08/09 15:51:33  qwark
some more cleaning and adding BR (BR needs to be reviewed) - probably it's ready for tests building (I'm going to check what about ac/am support)

Revision 1.3  2002/08/06 16:59:31  qwark
new version changed url, section %build %install and some other not important changes (unhappily it's lose support for ac/am from previous version)

Revision 1.2  2002/08/01 20:29:03  qboosh
- adapterized (automagically and then manually)

